from sqlalchemy import Column, Integer, ForeignKey
from sqlalchemy.orm import relationship

from .book import Book
from .book_category import BookCategory
from .base import Base

class BookCategoryLink(Base):
    __tablename__ = 'book_category_link'

    book_id          = Column(Integer, ForeignKey('book.id'), primary_key=True)
    book_category_id = Column(Integer, ForeignKey('book_category.id'), primary_key=True)

    book          = relationship('Book', overlaps='categories,books')
    book_category = relationship('BookCategory', overlaps='categories,books')